Bug 1258018 - [abrt] Zim: pageview.py:1722:get_indent:AssertionError: BUG: overlapping indent tags
[abrt] Zim: pageview.py:1722:get_indent:AssertionError: BUG: overlapping inde...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bbe965076851af0ea322978d76a...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 12:24 EDT by Robin Lee
Modified: 2018-05-29 07:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (991 bytes, text/plain)
2015-08-28 12:24 EDT, Robin Lee
no flags Details
File: environ (2.03 KB, text/plain)
2015-08-28 12:24 EDT, Robin Lee
no flags Details

  None (edit)
Description Robin Lee 2015-08-28 12:24:16 EDT
Version-Release number of selected component:
Zim-0.63-1.fc23

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /usr/bin/zim --ipc-server-main /tmp/zim-cheese/zim-server-socket 30
executable:     /usr/bin/zim
kernel:         4.1.5-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
pageview.py:1722:get_indent:AssertionError: BUG: overlapping indent tags

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 4332, in do_end_of_line
    buffer.set_bullet(newline, bullet)
  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 1224, in set_bullet
    self._replace_bullet(line, bullet)
  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 1229, in _replace_bullet
    indent = self.get_indent(line)
  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 1722, in get_indent
    assert len(tags) == 1, 'BUG: overlapping indent tags'
AssertionError: BUG: overlapping indent tags

Local variables in innermost frame:
line: 17
self: <TextBuffer object at 0x7fc5af6e0910 (zim+gui+pageview+TextBuffer at 0x196e060)>
iter: <GtkTextIter at 0x1a1e990>
tags: [<gtk.TextTag object at 0x7fc5af6d8c30 (GtkTextTag at 0x19a2140)>, <gtk.TextTag object at 0x7fc5b90d1780 (GtkTextTag at 0x17c09c0)>]
Comment 1 Robin Lee 2015-08-28 12:24:25 EDT
Created attachment 1068071 [details]
File: backtrace
Comment 2 Robin Lee 2015-08-28 12:24:27 EDT
Created attachment 1068072 [details]
File: environ
Comment 3 Fedora End Of Life 2016-07-19 13:42:13 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Robin Lee 2017-03-02 06:00:19 EST
Reopen. As problem still occurs.
Comment 5 Fedora End Of Life 2018-05-03 04:47:58 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2018-05-29 07:58:51 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.